Page MenuHomePhabricator

Safari search results (provided by 3rd party Apple Search) add racist title to Wikipedia article
Open, Needs TriagePublic

Description

Typing in "snow mexican" to the address bar of Safari surfaces a Wikipedia result, which shows up as "Snow Mexicans (Inuit)" and points to the "Inuit" article. As far as I can tell, there is not and has never been a redirect like that on Wikipedia itself — if there was, it's been oversighted.

The person who reported it to me also gets that result on desktop Safari just from typing in "Inuit":

Obviously, this reflects poorly on Wikipedia. Is this something completely on Apple's side, or is this some legacy of cached vandalism, or what?

Event Timeline

Ragesoss created this task.Nov 11 2016, 4:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 11 2016, 4:38 PM

This also happens on desktop Safari, I believe.

FWIW, I can't repro this in the Android app or mobile web either. A Google search for "snow mexicans" wikipedia returns no Wikipedia results. What search engine does the Safari searchbar use?

Ragesoss edited projects, added Reading Epics; removed Mobile.Nov 11 2016, 4:44 PM

I think it goes through apple first, and then on to Google. As you see, it surfaces a Wikipedia article (and in other cases, it surfaces content from other places), and then has google searches after that.

Ragesoss updated the task description. (Show Details)Nov 11 2016, 4:56 PM

AFAIK Apple has his own index of Wikipedia articles, you should contact them about this.

I tweeted to @AppleSupport, but I'm guessing that the WMF Reading team has better contacts at Apple who would be more likely to get to the bottom of it.

Fjalapeno added subscribers: JMinor, Fjalapeno.

This is an Apple Search result. I don't believe they use our APIs for returning results, beyond reporting to Apple I am not sure there is anything we can do about it.

@JMinor do you have a good contact/suggestion for reporting this?

JMinor added a comment.EditedNov 30 2016, 6:52 PM

Yeah, this is purely Apple's issue, though an end user wouldn't know it :( Our best bet is to point as many people at Apple as possible to let them know this needs to be fixed. A similar issue happened with google cacheing a vandalized copy of the gender article this summer for months after it was reverted.

Our contacts at Apple are pretty limited to app relations people, but I filed a "radar" ticket (Apple's bug reporting system) as ticket 29442448 and will forward the report to our contacts.

I have previously tried to report/escalate issues with deleted content being preserved in SIRI results (T139142) but have not seen any action or interest from Apple in following up or making their cacheing/indexing more timely.

Does that make this task stalled or even declined?

Aklapper renamed this task from Safari search results add racist title to Wikipedia article to Safari search results (provided by 3rd party Apple Search) add racist title to Wikipedia article.Apr 20 2017, 4:16 PM

Proposing to decline as there is nothing we can do on the Wikimedia site.

Ragesoss added a comment.EditedApr 20 2017, 4:22 PM

It still happens, and is still worth trying to use any contacts we have with Apple to get them to fix it IMO. I thought it got fixed, but I just replicated it on mobile Safari. :-(

@JMinor, did you ever hear back from anyone at Apple on this? If not, is there any point in pinging them again? Or is this the kind of thing where trying to embarrass them publicly is the only way to get it fixed?

Sadly, I pinged on my ticket and heard no response. I think if this is still happening a public shaming may be needed to get action :(

Ticket#2017080310009556 - Asking Siri for "How old is Queen Elizabeth II" returns a vandalised copy of the Wikipedia article. Guessing same issue as this and T139142 (should perhaps be merged, given the same underlying isue of them caching old/deleted versions.

Josve05a added a comment.EditedJun 23 2018, 5:07 PM

Ticket#2018062310004784: Using iBook's lookup function displays old and vandalised versions for the article "Ebonics".